Skip to main content

API Keys

Project API keys are used to obtain access tokens for server-to-server calls. Use these endpoints to list, create, soft-delete, and undelete keys for a given project.

info

API keys provide full access to project resources. Store them securely (env vars or your secrets manager), restrict who can read them, and rotate them regularly.

List API keys​

GET /api/v1/projects/{projectId}/apikeys

cURL​

curl -s "$FREEQ_API_URL/api/v1/projects/123/apikeys?showDeleted=false" \
-H "Authorization: Bearer $FREEQ_API_TOKEN"

Create API key​

POST /api/v1/projects/{projectId}/apikeys

cURL​

curl -s -X POST "$FREEQ_API_URL/api/v1/projects/123/apikeys" \
-H "Authorization: Bearer $FREEQ_API_TOKEN"

Soft delete API key​

DELETE /api/v1/projects/{projectId}/apikeys/{id}

cURL​

curl -s -X DELETE "$FREEQ_API_URL/api/v1/projects/123/apikeys/456" \
-H "Authorization: Bearer $FREEQ_API_TOKEN"

Undelete API key​

PUT /api/v1/projects/{projectId}/apikeys/{id}/undelete

cURL​

curl -s -X PUT "$FREEQ_API_URL/api/v1/projects/123/apikeys/456/undelete" \
-H "Authorization: Bearer $FREEQ_API_TOKEN"